Skip to main content
`Ctrl`+`K`

# TSAdaptReset

Resets a `TSAdapt` context to its defaults

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptReset(TSAdapt adapt)

Collective

## Input Parameter

- adapt - the `TSAdapt` context obtained from `TSGetAdapt()` or `TSAdaptCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSGetAdapt()`, `TSAdapt`, `TSAdaptCreate()`, `TSAdaptDestroy()`

## Level

developer

## Location

src/ts/adapt/interface/tsadapt.c

## Implementations

TSAdaptReset_GLEE() in src/ts/adapt/impls/glee/adaptglee.c
TSAdaptReset_History() in src/ts/adapt/impls/history/adapthist.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages